"""
CPSZWiki Installer

HOWTO USE THAT ?

 - Log into the ZMI as manager
 - Go to your CPS root directory
 - Create an External Method with the following parameters:

     id : CPSZWikiInstaller (or whatever)
     title : CPSZWiki Installer (or whatever)
     Module Name : CPSZWiki.install
     Function Name : install

 - save it
 - click now the test tab of this external method.
 - that's it !

"""

from Products.CPSInstaller.CPSInstaller import CPSInstaller

"""
SECTIONS_ID = 'sections'
"""
WORKSPACES_ID = 'workspaces'
SKINS = {'cps_zwiki' : 'Products/CPSZWiki/skins/cps_zwiki',
         #'zmi' : 'Products/CPSZWiki/skins/zmi',
         'standard' : 'Products/CPSZWiki/skins/standard',
         }

class CPSZWikiInstaller(CPSInstaller):
    """CPSZWiki Installer
    """

    product_name = "CPSZWiki"

    def install(self):
        """Main func
        """
        self.log("CPSZWiki Install / Update ........ [ S T A R T ]")
        self.verifySkins(SKINS)
        self.resetSkinCache()
        self.verifyPortalTypes()
        self.setupTranslations()
        self.finalize()
        self.reindexCatalog()
        self.log("CPSZWiki Install / Update .........[ S T O P ]  ")

    def verifyPortalTypes(self):
        """Verify portal types
        """
        ptypes = {
            'CPSZWiki' : {'allowed_content_types': (),
                          'typeinfo_name': 'CPSZWiki: CPSZWiki',
                          'add_meta_type': 'Factory-based Type Information',
                          },
            }
        self.verifyContentTypes(ptypes, destructive=1)
        self.allowContentTypes('CPSZWiki', 'Workspace')

def install(self):
    installer = CPSZWikiInstaller(self)
    installer.install()
    return installer.logResult()